<div>
    <h2 id="page-heading">
        <span jhiTranslate="shoppingonlineApp.operatoreAdv.home.title">Operatore Advs</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-operatore-adv" [routerLink]="['/operatore-adv/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="shoppingonlineApp.operatoreAdv.home.createLabel">
            Create a new Operatore Adv
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="operatoreAdvs?.length === 0">
        <span jhiTranslate="shoppingonlineApp.operatoreAdv.home.notFound">No operatoreAdvs found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="operatoreAdvs && operatoreAdvs.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.operatoreAdv.nome">Nome</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.operatoreAdv.cognome">Cognome</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.operatoreAdv.agenzia">Agenzia</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.operatoreAdv.username">Username</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.operatoreAdv.password">Password</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.operatoreAdv.autenticato">Autenticato</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.operatoreAdv.utente">Utente</span></th>
                    <th scope="col" ><span jhiTranslate="shoppingonlineApp.operatoreAdv.azienda">Azienda</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let operatoreAdv of operatoreAdvs ;trackBy: trackId">
                    <td><a [routerLink]="['/operatore-adv', operatoreAdv.id, 'view']">{{ operatoreAdv.id }}</a></td>
                    <td>{{ operatoreAdv.nome }}</td>
                    <td>{{ operatoreAdv.cognome }}</td>
                    <td>{{ operatoreAdv.agenzia }}</td>
                    <td>{{ operatoreAdv.username }}</td>
                    <td>{{ operatoreAdv.password }}</td>
                    <td>{{ operatoreAdv.autenticato }}</td>
                    <td>
                        <div *ngIf="operatoreAdv.utente">
                            <a [routerLink]="['/utente', operatoreAdv.utente?.id, 'view']" >{{ operatoreAdv.utente?.id }}</a>
                        </div>
                    </td>
                    <td>
                        <div *ngIf="operatoreAdv.azienda">
                            <a [routerLink]="['/azienda', operatoreAdv.azienda?.id, 'view']" >{{ operatoreAdv.azienda?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/operatore-adv', operatoreAdv.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/operatore-adv', operatoreAdv.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(operatoreAdv)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
